summaryrefslogtreecommitdiff
path: root/tests/key-tests/pkcs8
diff options
context:
space:
mode:
Diffstat (limited to 'tests/key-tests/pkcs8')
-rwxr-xr-xtests/key-tests/pkcs84
1 files changed, 4 insertions, 0 deletions
diff --git a/tests/key-tests/pkcs8 b/tests/key-tests/pkcs8
index 0bf51a2340..7fee476e66 100755
--- a/tests/key-tests/pkcs8
+++ b/tests/key-tests/pkcs8
@@ -24,6 +24,10 @@ GREP="${GREP:-grep}"
TMPFILE=tmp-key-ca.$$.p8
+if ! test -x "${CERTTOOL}"; then
+ exit 77
+fi
+
if ! test -z "${VALGRIND}"; then
VALGRIND="${LIBTOOL:-libtool} --mode=execute ${VALGRIND} --error-exitcode=1"
fi